<template>
    <div
        class="mt-1 has-tooltip"
        :class="{ invisible: $colorMode.unknown, 'text-green-300': $colorMode.preference != 'system' }"
    >
        <span class="tooltip mt-8 -ml-10 whitespace-nowrap">
            {{ $colorMode.preference }} theme
        </span>
        <button v-if="$colorMode.preference == 'dark'" aria-label="dark theme" @click="$colorMode.preference = 'light'">
            <SvgMoonIcon />
        </button>
        <button
            v-else-if="$colorMode.preference == 'light'"
            aria-label="light theme"
            @click="$colorMode.preference = 'system'"
        >
            <SvgSunIcon />
        </button>
        <button v-else aria-label="auto-detected theme" @click="$colorMode.preference = 'dark'">
            <SvgDesktopComputerIcon />
        </button>
    </div>
</template>
